<?php
#
# Projeto :  Lucato 
# Data : 20/02/2004
# 
# ROBO Detalhe
#

    //*******************************************************************	
	// INCLUDES nao alterar a ordem dos includes
    //*******************************************************************	
	include "includes/library.php";
	include "includes/session.php";
 	include "includes/top_comum.php";
	
?>
<script>
	$(document).ready(function(){
		$("#marcar_todos").click(function(){
			$("input[type=checkbox]").each(function(){
				this.checked = true;
			})
		});
		
		$("#desmarcar_todos").click(function(){
			$("input[type=checkbox]").each(function(){
				this.checked = false;
			})
		});
	});
</script>
<div class="row">
					<div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
						<h1 class="page-title txt-color-blueDark"><i class="fa-fw fa fa-desktop"></i> Enviar senhas</h1>
					</div>
</div>

<div class="panel panel-default">
		   <div class="panel-heading" id="titulo">Marque as empresas para quais você deseja enviar o e-mail de usuário e senha</div>
		   <div style='margin:5px 0px 0px 15px'>
					  <a href='#' id="marcar_todos" class="btn btn-primary btn-sm" style='margin-top:10px;'>MARCAR TODOS</a>	
					  <a href='#' id="desmarcar_todos" class="btn btn-primary btn-sm" style='margin-top:10px;'>DESMARCAR TODOS</a>
 		   </div>  
		  <div class="panel-body" id="lista_clientes">	
		  <form action="#" method="post" id="enviar" onsubmit="return enviar_senhas()">
			<table class="table table-bordered" style='font-size:15px;'>
				<thead>
				<tr>
					<th></th>
					<th>Usuário</th>
					<th>E-mail</th>
					<th>Código</th>
					<th>Nome</th>
					<th>Documento</th>
				</tr>
				</thead>
				<tbody>
			<?php
				$sql="SELECT C.CODIGO,C.NOME,C.CNPJ_CPF,U.ID,U.USUARIO,U.EMAIL  FROM  NETCONT_USUARIO U LEFT OUTER JOIN CLIENTE C  ON (C.ID=U.CLIENTEID) WHERE (((C.IMPORTAR_DADOS = 1) AND (C.DESATIVACAO_DATA IS NULL)) AND ((U.DESATIVADO IS NULL) OR (U.DESATIVADO='F'))) ORDER BY NOME ";
				$CLI = new QUERY($DATABASE,$sql);
				$i=0;
				while ($CLI->NEXT()){
				$i++;	
			?>
				<tr>
					<td><input type="checkbox" name="usuarios[]" value="<?php echo $CLI->BYNAME("ID")?>"></td>
					<td><?php echo $CLI->BYNAME("USUARIO"); ?></td>
					<td><?php echo $CLI->BYNAME("EMAIL"); ?></td>
					<td><?php echo $CLI->BYNAME("CODIGO"); ?></td>
					<td><?php echo $CLI->BYNAME("NOME"); ?></td>
					<td><?php echo $CLI->BYNAME("CNPJ_CPF"); ?></td>
				</tr>	
			<?php	
			
				}
			?>
				</tbody>
				<tfoot>
				<tr>
					<th>Total:</th>
					<th colspan="5"><?php echo $i; ?></th>
				</tr>
				</tfoot>
			</table>
			<center><input value="Enviar usuários e senhas iniciais do Net Contábil" class="btn btn-primary btn-sm"  type="submit" onclick="return false;" id="disparar_email"></center>
			</form>
		</div>				
		<div class="modal fade" id="alerta" data-backdrop="static" data-keyboard="false">
		  <div class="modal-dialog" style='width:800px;'>
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Fechar" id="fechar_topo" ><span aria-hidden="true" >&times;</span></button>
				<h4 class="modal-title" id="resultado">Processamento</h4>
			  </div>
			  <div class="modal-body" id="modal_formulario">
					<div id="resultado_form">
						<div class="progress">
									<div class="progress progress-striped">
										<div class="progress-bar bg-color-purple active" role="progressbar" id="barra_progresso" ></div>
									</div>
						</div>
					</div>
					<div id="espera"></div>
					<div id="tot_email_enviado"></div>
					<br><br>
					<div id="log_email"><h2><i>Log envio:</i></h2></div>
			  </div>
			  <div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal" id="fechar">Fechar</button>
			  </div>
			</div><!-- /.modal-content -->
		  </div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
	</div>
	<script>
	var fila_usuarios = new Array();
	var total_email_disparo = 0;	
	var sSecs = 1;
	var email_array;
	var indice = 0;
	
	function getSecs(){
		sSecs--;
		$("#espera").html("Segundos para o próximo disparo:" + sSecs);
		$("#tot_email_enviado").html("Foram disparado(s) "+indice+" de "+total_email_disparo);
		var porcentagem = Math.floor((indice/total_email_disparo)*100);
		var porcentagem_aux = porcentagem+'%';
		$("#barra_progresso").width(porcentagem_aux);
		
		
		if (sSecs==0){
			/*
			alert(email_array[indice]);
			disparar e-mail
			disparar e-mail
			*/
			//alert(fila_usuarios[indice]);
			$("#usuario_next").val(fila_usuarios[indice]);
			$.post("robo_enviar_senhas.php",$("#enviar_hidden").serialize()).done(function(data){
				$("#log_email").append(data);
			})
			
			sSecs = 2;
			if (indice!=total_email_disparo){
				indice++;
				setTimeout('getSecs()',1000);
			}else{
				$("#espera").hide();
				$("#resultado").html('O processo de envio foi completado com sucesso!');
				$("#barra_progresso").hide();
				$("#tot_email_enviado").html("Foram disparado(s) "+indice+" de "+total_email_disparo);
				$("#resultado_form").hide();
				$("#fechar").show();
				$("#fecha_topo").show();
			}
		}else{ 
			setTimeout('getSecs()',1000);
		}
	}
	
	$("#disparar_email").click(function(){
		$('input:checkbox:checked').each(function(){
			fila_usuarios.push($(this).val());	
		});
	
		total_email_disparo = 0;	
		sSecs = 2;
		indice = 0;
		$("#alerta").modal();
		$("#fechar").hide();
		$("#fechar_topo").hide();
	    total_email_disparo = $('input:checkbox:checked').length;
		if (total_email_disparo==0){
			$("#modal_formulario").html("Por favor selecione pelo menos um cliente");
		}
		setTimeout('getSecs()',1000);
	});

	$("#fechar").click(function(){
		window.location.reload();
	});	
	
	$("#fechar_topo").click(function(){
		window.location.reload();
	});
	
</script>
<form id="enviar_hidden">
	<input type="hidden" name="usuario_enviar" id="usuario_next" value="">
</form>
<?php 	
include("includes/bottom_comum.php"); 
?>